Subject: Re: linux-next: manual merge of the arm-soc tree with the usb tree

From: Greg KH <[email-masked]>
Date: Tue, 27 Aug 2013 12:30:21 -0700

On Tue, Aug 27, 2013 at 01:37:32PM -0500, Felipe Balbi wrote:
> Hi,
> 
> On Tue, Aug 27, 2013 at 10:37:32AM -0700, Greg KH wrote:
> > On Tue, Aug 27, 2013 at 04:13:23PM +0200, Sebastian Andrzej Siewior wrote:
> > > On 08/27/2013 04:05 PM, Benoit Cousson wrote:
> > > > On 27/08/2013 16:02, Sebastian Andrzej Siewior wrote:
> > > >> On 08/27/2013 03:57 PM, Benoit Cousson wrote:
> > > >>> + Kevin,
> > > >>>
> > > >>> On 27/08/2013 15:53, Sebastian Andrzej Siewior wrote:
> > > >>>> What do we do now?
> > > >>>
> > > >>> Cannot you just merge the stable arm-soc/dt branch into your branch
> > > >>> before applying your patches?
> > > >>
> > > >> That is up to Greg. This changes sat in his usb-next tree for a while
> > > >> now. And before they hit Greg they were in Felipe's tree for a while.
> > > >>
> > > >> To be exact, last .dts change via USB was:
> > > >>
> > > >> Author:     Sebastian Andrzej Siewior <[email-masked]>
> > > >> AuthorDate: Thu Jun 20 12:13:04 2013 +0200
> > > >> Commit:     Felipe Balbi <[email-masked]>
> > > >> CommitDate: Fri Aug 9 17:40:16 2013 +0300
> > > >>
> > > >>     usb: musb dma: add cppi41 dma driver
> > > > 
> > > > Mmm, if that branch is supposed to be stable, I'm not sure it will be
> > > > doable...
> > > > 
> > > > Maybe we should do the other way around? And merge usb-next into
> > > > arm-soc/dt.
> > > > 
> > > > Kevin, Olof?
> > > 
> > > Please be aware that I have no response so far regarding [0] from Greg.
> > > 
> > > [0] http://www.spinics.net/lists/linux-usb/msg92595.html
> > 
> > Nor will you, given that I am not the one to take these patches, Felipe
> > is.  I noticed now that you said "please route around Felipe", but
> > sorry, no, I'm not going to do that unless there's a really good reason.
> > Felipe seems to be around at the moment, please work with him on this.
> 
> If you will still take a 'part2' pull request from me, I can send you
> urgent bugfixes by friday. If I have some time left, I can even try to
> get that sorted out by tomorrow.

For 3.12 stuff, like "fixes", sure, I can take them this week, that
should give us a week or so for linux-next testing, right?

thanks,

greg k-h